# Uses of Class
org.xnio.conduits.ConduitStreamSinkChannel

Packages that use ConduitStreamSinkChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of ConduitStreamSinkChannel in org.xnio

Methods in org.xnio that return ConduitStreamSinkChannel
Modifier and Type
Method
Description
`ConduitStreamSinkChannel`
StreamConnection.`getSinkChannel()`
Get the sink channel.

## Uses of ConduitStreamSinkChannel in org.xnio.conduits

Methods in org.xnio.conduits that return ConduitStreamSinkChannel
Modifier and Type
Method
Description
`ConduitStreamSinkChannel`
ConduitStreamSinkChannel.`clone()`
Duplicate this channel.
Methods in org.xnio.conduits that return types with arguments of type ConduitStreamSinkChannel
Modifier and Type
Method
Description
`ChannelListener<? super ConduitStreamSinkChannel>`
ConduitStreamSinkChannel.`getCloseListener()`
`ChannelListener.Setter<ConduitStreamSinkChannel>`
ConduitStreamSinkChannel.`getCloseSetter()`
`ChannelListener<? super ConduitStreamSinkChannel>`
ConduitStreamSinkChannel.`getWriteListener()`
`ChannelListener.Setter<ConduitStreamSinkChannel>`
ConduitStreamSinkChannel.`getWriteSetter()`
Method parameters in org.xnio.conduits with type arguments of type ConduitStreamSinkChannel
Modifier and Type
Method
Description
`void`
ConduitStreamSinkChannel.`setCloseListener(ChannelListener<? super ConduitStreamSinkChannel> closeListener)`
`void`
ConduitStreamSinkChannel.`setWriteListener(ChannelListener<? super ConduitStreamSinkChannel> writeListener)`